# learn_dramatiq

Learn Dramatiq basics

## Docker Compose Backends

Since Dramatiq supports Redis and RabbitMQ as queue backends, there are two separate docker-compose files for each. These are temporary dev backends; no persistent volumes are used and there is no TLS.

Redis:

```
docker compose -f docker-compose-redis.yml up -d
```

```
docker compose -f docker-compose-redis.yml down
```

RabbitMQ:

It takes some time for RabbitMQ to serve requests. This does have a persistent volume.

```
docker compose -f docker-compose-rabbit.yml up -d
```

```
docker compose -f docker-compose-rabbit.yml down
```
